Subject: [netatalk-admins] Appletalk printing problem

From: "Russell P. Sutherland" <[email-masked]>
Date: Wed, 18 Aug 1999 09:02:27 -0400

My configuration is as follows:

	I have a LAN with six devices hanging off an ethernet hub.

	One of the devices is the Linux machine running RedHat 5.2
	and I have installed a recent netatalk rpm:

	$ uname -a
	Linux joefox.quist.on.ca 2.0.36 #1 Tue Oct 13 22:17:11 EDT 1998 i686 unknown
	$ rpm -qa | grep neta
	netatalk-1.4b2+asun2.1.0-5

	All of the standard netatalk daemons are running.

	(Why does atalkd take 20 seconds or so to start up?)

	My Personal Apple LaserWriterNT is attached to the network with a
	dedicated  AsanteTalk device. The twisted pair ethernet cable goes
	to the hub and the localtalk cable goes to the printer. (Note,
	the localtalk cable was the one that came with the AsanteTalk
	box. It is _not_ one of the daisy chained localtalk ones, with a
	terminator on each end. I am not sure if this matters or not)

	The rest of the devices are PCs and X terminals. There are _no_
	other Apple machines on the network.

My problem, seems to be that I can not see the LaserWriter nor any
Apple zones..

Here is what I have found:

1. getzones fails:

	$  getzones
	atp_rresp: Connection timed out
	$ 

2. nbplkup does not seem to reveal my printer:

	$nbplkup
		JoeFox:AFPServer                          66.6:130
		 linux:LaserWriter                        66.6:128
		JoeFox:netatalk                           66.6:4
		JoeFox:Workstation                        66.6:4

3. aecho works, but I believe it is echoing the local papd
   daemon and not my LaserWriter:

	$ aecho linux:LaserWriter
	14 bytes from 66.6: aep_seq=0. time=0. ms
	14 bytes from 66.6: aep_seq=1. time=0. ms
	14 bytes from 66.6: aep_seq=2. time=0. ms
	14 bytes from 66.6: aep_seq=3. time=0. ms
	 
	----66.6 AEP Statistics----
	4 packets sent, 4 packets received, 0% packet loss
	round-trip (ms)  min/avg/max = 0/0/0

Is there something I'm missing?

TIA.

-- 
Quist Consulting		Email: [email-masked]
219 Donlea Drive 		Voice: +1.416.696.7600
Toronto ON  M4G 2N1		Fax:   +1.416.978.6620
CANADA				WWW:   http://www.quist.on.ca

-- 
Quist Consulting		Email: [email-masked]
219 Donlea Drive 		Voice: +1.416.696.7600
Toronto ON  M4G 2N1		Fax:   +1.416.978.6620
CANADA				WWW:   http://www.quist.on.ca